libogg documentation | libogg release 1.0 - 20000615

# ogg_stream_destroy

declared in "ogg/ogg.h";

This function frees the memory used by the ogg_stream_state struct.

This should be called when you are done working with an ogg stream. It can also be called to make sure that the struct does not exist.

    int ogg_stream_destroy(ogg_stream_state *os);

### Parameters

os
  Pointer to the ogg_stream_state struct to be destroyed.

### Return Values

> - 0 is always returned.

copyright © 2000 xiph.org | Ogg Vorbis team@xiph.org
libogg documentation | libogg release 1.0 - 20000615